#coding: utf-8
__author__ = 'nicolasperrier'

class Acteur(object):
    """
    Pour creer des acteurs
    """
    def __init__(self,nom):
        """
        :param nom: chaine
        :return:
        """
        self.__nom = nom

    def get_nom_acteur(self):
        """recuperer le nom de l'acteur"""
        return self.__nom

    def set_nom_acteur(self,nouveau_nom):
        """ positionne le nom de l'acteur"""
        self.__nom = nouveau_nom


    def estMonJumeau(self, acteur):
        """ voir si on a le meme nom. Retourne vrai ou faux"""
        test1 = self.__nom == acteur.get_nom_acteur()
        return test1 

    def __eq__(self, acteur):
        """ compatibilite avec == du langage"""
        return self.estMonJumeau(acteur)

    def __str__(self):
        """

        :return:
        """
        return 'Acteur : {}'.format(self.__nom)


if __name__=='__main__':
    act1 = Acteur('Robert Deniro')
    act2 = Acteur('Nicolas Perrier')
    print(act1)
    print(act2)

    print(act1==act2)